## org.apache.commons.math3.geometry
Interface Space

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  Euclidean1D, Euclidean2D, Euclidean3D

    public interface Space

extends Serializable

This interface represents a generic space, with affine and vectorial counterparts.

Since:
  3.0
Version:
  $Id: Space.java 1244107 2012-02-14 16:17:55Z erans $
See Also:
  `Vector`

Method Summary
`int` `getDimension()` Get the dimension of the space.
`Space` `getSubSpace()` Get the n-1 dimension subspace of this space.

Method Detail

### getDimension

    int getDimension()

  Get the dimension of the space.

  Returns:
    dimension of the space

### getSubSpace

    Space getSubSpace()

  Get the n-1 dimension subspace of this space.

  Returns:
    n-1 dimension sub-space of this space
  See Also:
    `getDimension()`

Copyright (c) 2003-2013 Apache Software Foundation